aboutsummaryrefslogtreecommitdiff
path: root/www/junkbuster
diff options
context:
space:
mode:
authorThomas Gellekum <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
committerThomas Gellekum <tg@FreeBSD.org>2000-07-05 12:37:06 +0000
commit546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8 (patch)
tree7b9cd553a62be7a9bd52800d334be8b703eb93a1 /www/junkbuster
parent01ab6da99c55af36e516b7f8016373124c4039cf (diff)
downloadports-546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8.tar.gz
ports-546041ba3113a4a58d8f3e7e7cb90e78fcb38ea8.zip
As threatened on freebsd-ports: all startup scripts know about the two
options `start' and `stop' now (unless I have forgotten any). This allows us to call the scripts from /etc/rc.shutdown with the correct option. The (42 or so) ports that already DTRT before are unchanged.
Notes
Notes: svn path=/head/; revision=30229
Diffstat (limited to 'www/junkbuster')
-rw-r--r--www/junkbuster/files/junkbuster.sh.in22
1 files changed, 18 insertions, 4 deletions
diff --git a/www/junkbuster/files/junkbuster.sh.in b/www/junkbuster/files/junkbuster.sh.in
index d0b89028f6ad..9f3e639a9494 100644
--- a/www/junkbuster/files/junkbuster.sh.in
+++ b/www/junkbuster/files/junkbuster.sh.in
@@ -1,5 +1,19 @@
#!/bin/sh
-test -d JDIR -a -x PREFIX/sbin/junkbuster -a -f JDIR/configfile || exit 1
-cd JDIR
-su -m nobody -c "PREFIX/sbin/junkbuster configfile &"
-echo -n " junkbuster"
+
+case $1 in
+start)
+ test -d JDIR -a -x PREFIX/sbin/junkbuster -a -f JDIR/configfile || exit 1
+ cd JDIR
+ su -m nobody -c "PREFIX/sbin/junkbuster configfile &"
+ echo -n " junkbuster"
+ ;;
+stop)
+ killall junkbuster && echo -n " junkbuster"
+ ;;
+*)
+ echo "Usage: `basename $0` {start|stop}" >&2
+ exit 64
+ ;;
+esac
+
+exit 0